/* tslint:disable */
/* eslint-disable */
/**
 * opGUI - OpenAPI 3.0
 * Dummy description about the available endpoints Some useful links: - [The opGUI repository](https://gitlab.eclipse.org/eclipse/openpass/opgui) - [The documentation page](https://www.eclipse.org/openpass/content/html/index.html)
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import * as runtime from '../runtime';
import type {
  ApiSaveSystemPostRequest,
  Default200Response,
  Error400,
  Error500,
} from '../models';
import {
    ApiSaveSystemPostRequestFromJSON,
    ApiSaveSystemPostRequestToJSON,
    Default200ResponseFromJSON,
    Default200ResponseToJSON,
    Error400FromJSON,
    Error400ToJSON,
    Error500FromJSON,
    Error500ToJSON,
} from '../models';

export interface ApiSaveSystemPostOperationRequest {
    apiSaveSystemPostRequest: ApiSaveSystemPostRequest;
}

/**
 * 
 */
export class SaveSystemApi extends runtime.BaseAPI {

    /**
     * This endpoint receives a single system and returns ok if the file was saved
     * Receives a system and saves it as an xml file
     */
    async apiSaveSystemPostRaw(requestParameters: ApiSaveSystemPostOperationRequest, initOverrides?: RequestInit | runtime.InitOverrideFunction): Promise<runtime.ApiResponse<Default200Response>> {
        if (requestParameters.apiSaveSystemPostRequest === null || requestParameters.apiSaveSystemPostRequest === undefined) {
            throw new runtime.RequiredError('apiSaveSystemPostRequest','Required parameter requestParameters.apiSaveSystemPostRequest was null or undefined when calling apiSaveSystemPost.');
        }

        const queryParameters: any = {};

        const headerParameters: runtime.HTTPHeaders = {};

        headerParameters['Content-Type'] = 'application/json';

        const response = await this.request({
            path: `/api/saveSystem`,
            method: 'POST',
            headers: headerParameters,
            query: queryParameters,
            body: ApiSaveSystemPostRequestToJSON(requestParameters.apiSaveSystemPostRequest),
        }, initOverrides);

        return new runtime.JSONApiResponse(response, (jsonValue) => Default200ResponseFromJSON(jsonValue));
    }

    /**
     * This endpoint receives a single system and returns ok if the file was saved
     * Receives a system and saves it as an xml file
     */
    async apiSaveSystemPost(requestParameters: ApiSaveSystemPostOperationRequest, initOverrides?: RequestInit | runtime.InitOverrideFunction): Promise<Default200Response> {
        const response = await this.apiSaveSystemPostRaw(requestParameters, initOverrides);
        return await response.value();
    }

}
